Package org.json.simple

# Class JSONValue

java.lang.Object
org.json.simple.JSONValue

@Deprecated public class JSONValue extends Object
Deprecated.
since 2.0.0, replaced by `Jsoner`

Author:
  FangYidong<fangyidong@yahoo.com.cn>

## Constructor Summary

Constructors
Constructor
Description
`JSONValue()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`static String`
`escape(String s)`
Deprecated.
Escape quotes, \, /, \r, \n, \b, \f, \t and other control characters (U+0000 through U+001F).
`static Object`
`parse(Reader in)`
Deprecated.
this method may throw an `Error` instead of returning `null`; please use `parseWithException(Reader)` instead
`static Object`
`parse(String s)`
Deprecated.
this method may throw an `Error` instead of returning `null`; please use `parseWithException(String)` instead
`static Object`
`parseWithException(Reader in)`
Deprecated.
Parse JSON text into java object from the input source.
`static Object`
`parseWithException(String s)`
Deprecated.
description omitted.
`static String`
`toJSONString(Object value)`
Deprecated.
Convert an object to JSON text.
`static void`
`writeJSONString(Object value, Writer out)`
Deprecated.
Encode an object into JSON text and write it to out.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JSONValue

public JSONValue()
Deprecated.

## Method Details

### parse

public static Object parse(Reader in)
Deprecated.
this method may throw an `Error` instead of returning `null`; please use `parseWithException(Reader)` instead
Parse JSON text into java object from the input source. Please use parseWithException() if you don't want to ignore the exception.

Parameters:
  `in` - description omitted.
Returns:
  Instance of the following: org.json.simple.JSONObject, org.json.simple.JSONArray, java.lang.String, java.lang.Number, java.lang.Boolean, null
See Also:
  - `JSONParser.parse(Reader)`
  - `parseWithException(Reader)`

### parse

public static Object parse(String s)
Deprecated.
this method may throw an `Error` instead of returning `null`; please use `parseWithException(String)` instead
Parse JSON text into java object from the given string. Please use parseWithException() if you don't want to ignore the exception.

Parameters:
  `s` - description omitted.
Returns:
  Instance of the following: org.json.simple.JSONObject, org.json.simple.JSONArray, java.lang.String, java.lang.Number, java.lang.Boolean, null
See Also:
  - `JSONParser.parse(Reader)`
  - `parseWithException(Reader)`

### parseWithException

public static Object parseWithException(Reader in) throws IOException, ParseException
Deprecated.
Parse JSON text into java object from the input source.

Parameters:
  `in` - description omitted.
Returns:
  Instance of the following: org.json.simple.JSONObject, org.json.simple.JSONArray, java.lang.String, java.lang.Number, java.lang.Boolean, null
Throws:
  `IOException` - description omitted.
  `ParseException` - description omitted.
See Also:
  - `JSONParser`

### parseWithException

public static Object parseWithException(String s) throws ParseException
Deprecated.
description omitted.

Parameters:
  `s` - description omitted.
Returns:
  description omitted.
Throws:
  `ParseException` - description omitted.

### writeJSONString

public static void writeJSONString(Object value, Writer out) throws IOException
Deprecated.
Encode an object into JSON text and write it to out.

If this object is a Map or a List, and it's also a JSONStreamAware or a JSONAware, JSONStreamAware or JSONAware will be considered firstly.

DO NOT call this method from writeJSONString(Writer) of a class that implements both JSONStreamAware and (Map or List) with "this" as the first parameter, use JSONObject.writeJSONString(Map, Writer) or JSONArray.writeJSONString(List, Writer) instead.

Parameters:
  `value` - description omitted.
  `out` - description omitted.
Throws:
  `IOException` - description omitted.
See Also:
  - `JSONObject.writeJSONString(Map, Writer)`
  - `JSONArray.writeJSONString(Collection, Writer)`

### toJSONString

public static String toJSONString(Object value)
Deprecated.
Convert an object to JSON text.

If this object is a Map or a List, and it's also a JSONAware, JSONAware will be considered firstly.

DO NOT call this method from toJSONString() of a class that implements both JSONAware and Map or List with "this" as the parameter, use JSONObject.toJSONString(Map) or JSONArray.toJSONString(List) instead.

Parameters:
  `value` - description omitted.
Returns:
  JSON text, or "null" if value is null or it's an NaN or an INF number.
See Also:
  - `JSONObject.toJSONString(Map)`
  - `JSONArray.toJSONString(Collection)`

### escape

public static String escape(String s)
Deprecated.
Escape quotes, \, /, \r, \n, \b, \f, \t and other control characters (U+0000 through U+001F).

Parameters:
  `s` - description omitted.
Returns:
  description omitted.